<template>
  <b-form-group
    :id="`${$attrs.id}-group`"
    :label="$attrs.label"
    :label-for="$attrs.id"
    class="label-s"
  >
    <b-form-select
      v-if="editable"
      :disabled="!editable"
      :aria-describedby="`${$attrs.id}-feedback`"
      v-bind="$attrs"
      v-on="$listeners"
    ></b-form-select>

    <label v-else :style="{ fontSize: '16px', fontWeight: '500' }">{{
      $attrs.value.charAt(0).toUpperCase() + $attrs.value.slice(1)
    }}</label>

    <b-form-invalid-feedback :id="`${$attrs.id}-feedback`"
      >{{ invalidFeedback }}
    </b-form-invalid-feedback>
  </b-form-group>
</template>
<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  props: {
    invalidFeedback: {
      type: String,
      required: false,
      default: ''
    },
    editable: {
      type: Boolean,
      default: false
    }
  }
})
</script>
<style>
.custom-select {
  border: 0;
  border-bottom: 1px solid #cacaca;
}

.custom-select:focus {
  background-color: #f9f9f9;
  border-bottom: 1px solid #13bc73;
}

.custom-select:disabled {
  background-color: #fff;
  border: 0;
  background: none !important;
}

.label-s {
  font-size: 10px;
}
</style>
